Class | RSS::Maker::XMLStyleSheets::XMLStyleSheet
In: | rss/maker/base.rb
Parent: | Object

### Methods

have_required_values? to_rss

### Included Modules

Base

### Public Instance methods

have_required_values?()

[Source]

    # File rss/maker/base.rb, line 232
            def have_required_values?
              @href and @type
            end

to_rss(rss)

[Source]

    # File rss/maker/base.rb, line 223
            def to_rss(rss)
              xss = ::RSS::XMLStyleSheet.new
              guess_type_if_need(xss)
              set = setup_values(xss)
              if set
                rss.xml_stylesheets << xss
              end
            end

[Validate]